Create a project
curl --request POST \
--url https://api.integrations.commenda.io/v4/core/companies/{companyId}/projects \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"data": {
"platform_id": "string",
"name": "string",
"description": "string",
"status": "string",
"updated_at": "2024-01-01T00:00:00Z"
}
}
'import requests
url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/projects"
payload = { "data": {
"platform_id": "string",
"name": "string",
"description": "string",
"status": "string",
"updated_at": "2024-01-01T00:00:00Z"
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
platform_id: 'string',
name: 'string',
description: 'string',
status: 'string',
updated_at: '2024-01-01T00:00:00Z'
}
})
};
fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sync_id": "<string>",
"data": {
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"request_id": "<string>"
}Projects
Create a project
POST
/
v4
/
core
/
companies
/
{companyId}
/
projects
Create a project
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Commenda company id.
Query Parameters
Process the write asynchronously. Required when data is an array (batch write).
Body
application/json
- object
- object[]
Show child attributes
Show child attributes
⌘I